org.apache.synapse.mediators.opa

## Class OPAMediator

- java.lang.Object
- - org.apache.synapse.mediators.AbstractMediator
  - - org.apache.synapse.mediators.opa.OPAMediator

- All Implemented Interfaces:
    org.apache.synapse.aspects.AspectConfigurable, org.apache.synapse.ManagedLifecycle, org.apache.synapse.Mediator, org.apache.synapse.SynapseArtifact

      public class OPAMediator
      extends org.apache.synapse.mediators.AbstractMediator
      implements org.apache.synapse.ManagedLifecycle

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.mediators.AbstractMediator

      `trace, traceState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OPAMediator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdditionalParameter(java.lang.String parameter, java.lang.String value)`
    `void` | `destroy()`
    `java.lang.String` | `getAccessKey()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getAdditionalParameters()`
    `java.lang.String` | `getPolicy()`
    `java.lang.String` | `getRequestGeneratorClassName()`
    `java.lang.String` | `getRule()`
    `java.lang.String` | `getServerUrl()`
    `void` | `init(org.apache.synapse.core.SynapseEnvironment se)`
    `boolean` | `mediate(org.apache.synapse.MessageContext messageContext)`
    `void` | `setAccessKey(java.lang.String accessKey)`
    `void` | `setAdditionalParameters(java.util.Map<java.lang.String,java.lang.String> additionalParameters)`
    `void` | `setPolicy(java.lang.String policy)`
    `void` | `setRequestGeneratorClassName(java.lang.String requestGeneratorClassName)`
    `void` | `setRule(java.lang.String rule)`
    `void` | `setServerUrl(java.lang.String serverUrl)`

    - ### Methods inherited from class org.apache.synapse.mediators.AbstractMediator

      `auditLog, auditWarn, configure, disableStatistics, disableTracing, divertMediationRoute, enableStatistics, enableTracing, getAspectConfiguration, getCommentsList, getDescription, getInputType, getLastSequenceFaultHandler, getLog, getMediatorName, getMediatorPosition, getOutputType, getRegisteredMediationFlowPoint, getShortDescription, getTraceState, getType, handleException, handleException, isBreakPoint, isContentAltering, isContentAware, isSkipEnabled, isStatisticsEnable, isTraceOn, isTraceOrDebugOn, isTracingEnabled, registerMediationFlowPoint, reportCloseStatistics, reportOpenStatistics, setBreakPoint, setCommentsList, setComponentStatisticsId, setDescription, setEffectiveTraceState, setMediatorPosition, setShortDescription, setSkipEnabled, setTraceState, shouldCaptureTracing, shouldTrace, shouldTrace, traceOrDebug, traceOrDebugWarn, unregisterMediationFlowPoint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OPAMediator

          public OPAMediator()

  - ### Method Detail

    - #### mediate

          public boolean mediate(org.apache.synapse.MessageContext messageContext)

      Specified by:
        `mediate` in interface `org.apache.synapse.Mediator`

    - #### getServerUrl

          public java.lang.String getServerUrl()

    - #### setServerUrl

          public void setServerUrl(java.lang.String serverUrl)

    - #### getAccessKey

          public java.lang.String getAccessKey()

    - #### setAccessKey

          public void setAccessKey(java.lang.String accessKey)

    - #### getRequestGeneratorClassName

          public java.lang.String getRequestGeneratorClassName()

    - #### setRequestGeneratorClassName

          public void setRequestGeneratorClassName(java.lang.String requestGeneratorClassName)

    - #### getPolicy

          public java.lang.String getPolicy()

    - #### setPolicy

          public void setPolicy(java.lang.String policy)

    - #### getRule

          public java.lang.String getRule()

    - #### setRule

          public void setRule(java.lang.String rule)

    - #### getAdditionalParameters

          public java.util.Map<java.lang.String,java.lang.String> getAdditionalParameters()

    - #### setAdditionalParameters

          public void setAdditionalParameters(java.util.Map<java.lang.String,java.lang.String> additionalParameters)

    - #### addAdditionalParameter

          public void addAdditionalParameter(java.lang.String parameter,
                                             java.lang.String value)

    - #### init

          public void init(org.apache.synapse.core.SynapseEnvironment se)

      Specified by:
        `init` in interface `org.apache.synapse.ManagedLifecycle`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `org.apache.synapse.ManagedLifecycle`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.